// fisDlg.h : header file
//

#if !defined(AFX_FISDLG_H__11862998_122D_40AF_A92E_2D98AF5DBCBE__INCLUDED_)
#define AFX_FISDLG_H__11862998_122D_40AF_A92E_2D98AF5DBCBE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CFisDlg dialog

class CFisDlg : public CDialog
{
// Construction
public:
	void CautaPozitia(int pozitia);
	int RaspunsCorect;
	void GenereazaTest();
	int NumarIntrebariInTest;
	int Nota;
	POSITION pos;
	CStringList cstrDepozit;
	int CompleteazaSetIntrebari();
	CFisDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CFisDlg)
	enum { IDD = IDD_FIS_DIALOG };
	CListBox	m_lbText;
	int		m_nRaspuns;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFisDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CFisDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStartTest();
	afx_msg void OnAccepta();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FISDLG_H__11862998_122D_40AF_A92E_2D98AF5DBCBE__INCLUDED_)
